Home / Resources / API Reference

Release - Deploy

This API endpoint deploys an existing release to specified environments or using specific lifecycle phase. After successful execution the response will include a list of deployment IDs which you can later use to check the deployments status.

Request

Parameters
releaseId
string
required
Unique identifier of the release to be deployed. This identifier can be obtained by calling Release - create endpoint.
phaseName
string
optional
Name of the phase to be deployed. When this value is not provided then environments must be provided.
environmentName
string
obsolete
Obsolete. Use environments instead.
environments
array[string]
optional
List of environment names to deploy to. When this value is not provided then phaseName must be provided.
redownloadPackages
boolean
optional
Instructs the deployment runner to force-download all required packages directly before executing the deployment, even if the packages are already present in the server’s package cache.
deploymentDateUnixMillis
number
optional
Deployment execution date. Allows postponing the deployment until a later date and time. Use Unix epoch time in milliseconds.
excludeStepNames
array[string]
optional
List of project step names that should be excluded in this deployment.
Request body

POST /release/deploy
{
  "releaseId": "b34732f4-bcad-4b7f-a26b-a771cc7457ff",
  "phaseName": "First phase",
  "environmentName": "Staging",
  "environments": ["Staging", "UAT"],
  "redownloadPackages": false,
  "deploymentDateUnixMillis": 1744308919000,
  "excludeStepNames": ["step A", "step C"]
}

Response

Parameters
deploymentIds
array[string]
List of unique identifiers of created deployments. Use these IDs to fetch deployment logs and state.
Response body

{
  "deploymentIds": [
    "603af550-e241-4a3f-9545-5971c2f455ff",
    "603af550-e241-4a3f-9545-5971c2f45500"
  ]
}